package com.wdkl.lcd_board.launch

import com.enation.javashop.android.jrouter.external.annotation.Router
import com.wdkl.lcd_board.di.DaggerLcdBoardComponent
import com.wdkl.lcd_board.di.LcdBoardComponent
import com.wdkl.ncs.android.lib.base.BaseLaunch
import com.wdkl.ncs.android.middleware.di.DaggerManager

@Router(path = "/lcd_board/launch")
class MainLaunch :BaseLaunch() {
    companion object {
        lateinit var component: LcdBoardComponent
    }

    override fun moduleInit() {
        component = DaggerLcdBoardComponent.builder()
                .applicationComponent(DaggerManager.APPLICATION_COMPONENT)
                .build()
    }
}